Beta Ramps API
Quote

Post Quote

POST
/quote

Authorization

headerAuthorizationBearer <token>

Scope: quotes:write

Request Body

application/json
  1. body

Request a non-binding price preview for converting source_asset to target_asset. Provide exactly one of source_amount or target_amount (decimal strings); the other side is estimated. source_asset must differ from target_asset.

source_asset*string

Asset to convert from. Must differ from target_asset.

target_asset*string

Asset to convert to. Must differ from source_asset.

source_amount?string

Decimal string. Provide this to estimate the target amount. Mutually exclusive with target_amount.

target_amount?string

Decimal string. Provide this to estimate the source amount. Mutually exclusive with source_amount.

Response Body

A non-binding price preview.

application/json
  1. response

A non-binding price preview. All amounts are decimal strings.

source_asset*string
target_asset*string
source_amount_estimate*string

Decimal string. Estimated source amount.

target_amount_estimate*string

Decimal string. Estimated target amount.

price_reference*string

Decimal string. Reference price used for the estimate.

rate_base_asset?string

Base asset for price_reference. Omitted when not applicable.

fees_estimate*string

Decimal string. Estimated fees.

valid_until*string

RFC 3339 timestamp after which the quote estimate is stale.

Formatdate-time
Example Request
curl -X POST 'https://api.betaramps.com/quote' \  -H 'Content-Type: application/json' \  -d '{  "source_asset": "BRL",  "target_asset": "USDT",  "source_amount": "1000"}'
Example Response
{  "source_asset": "BRL",  "target_asset": "USDT",  "source_amount_estimate": "1000",  "target_amount_estimate": "182.49",  "price_reference": "5.45",  "rate_base_asset": "USDT",  "fees_estimate": "1.00",  "valid_until": "2026-01-15T10:00:30Z"}